# **********************************************************************
#
# Copyright (c) 1997
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe

TARGETS		= $(SERVER_NAME) \
		  Receiver_skel.obj \
		  ReceiverBase_impl.obj

!include $(top_srcdir)\config\Make.rules.mak

OB_LIBS		= $(top_srcdir)\lib\ob.lib

COMMON_OBJS	= Receiver.obj \
		  Broadcaster.obj

SERVER_OBJS	= Server.obj \
		  Broadcaster_skel.obj \
		  Broadcaster_impl.obj

CLIENT_OBJS	= Client.obj \
		  Receiver_skel.obj \
		  ReceiverBase_impl.obj \
		  Receiver_impl.obj

SRCS		= $(COMMON_OBJS:.obj=.cpp) \
		  $(SERVER_OBJS:.obj=.cpp) \
		  $(CLIENT_OBJS:.obj=.cpp)

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= $(CPPFLAGS) -I. -I$(top_srcdir)\include 
ALL_DEFS	= $(DEFS)
ALL_LINKFLAGS	= $(LINKFLAGS)
ALL_LINKGUIFLAGS = $(LINKGUIFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
ALL_GUILIBS	= $(OB_LIBS) $(GUILIBS)

$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

clean::
	@del $(TARGETS)

!include .windep
