# **********************************************************************
#
# Copyright (c) 1997
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
SERVER_TIE_NAME	= server_tie.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(SERVER_TIE_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

OB_LIBS		= $(top_srcdir)\lib\ob.lib

COMMON_OBJS	= Hello.obj

SERVER_OBJS	= Hello_skel.obj \
		  Hello_impl.obj \
		  Server.obj

SERVER_TIE_OBJS	= Hello_skel.obj \
		  Hello_impl_tie.obj \
		  Server_tie.obj

CLIENT_OBJS	= Client.obj

SRCS		= $(COMMON_OBJS:.obj=.cpp) \
		  $(SERVER_OBJS:.obj=.cpp) \
		  $(SERVER_TIE_OBJS:.obj=.cpp) \
		  $(CLIENT_OBJS:.obj=.cpp)

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= $(CPPFLAGS) -I. -I$(top_srcdir)\include 
ALL_DEFS	= $(DEFS)
ALL_LINKFLAGS	= $(LINKFLAGS)
ALL_LINKGUIFLAGS = $(LINKGUIFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
ALL_GUILIBS	= $(OB_LIBS) $(GUILIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_LIBS)

$(SERVER_TIE_NAME): $(COMMON_OBJS) $(SERVER_TIE_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_TIE_OBJS) $(ALL_LIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_LIBS)

clean::
	@del $(TARGETS)

!include .windep
