# **********************************************************************
#
# Copyright (c) 1997
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

PEER1_NAME	= peer1.exe
PEER2_NAME	= peer2.exe

TARGETS		= $(PEER1_NAME) \
		  $(PEER2_NAME)

!include $(top_srcdir)\config\Make.rules.mak

OB_LIBS		= $(top_srcdir)\lib\ob.lib

COMMON_OBJS	= Peer.obj \
		  Peer_skel.obj \
		  Peer_impl.obj

PEER1_OBJS	= Peer1.obj
PEER2_OBJS	= Peer2.obj

SRCS		= $(COMMON_OBJS:.obj=.cpp) \
		  $(PEER1_OBJS:.obj=.cpp) \
		  $(PEER2_OBJS:.obj=.cpp)

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= $(CPPFLAGS) -I. -I$(top_srcdir)\include 
ALL_DEFS	= $(DEFS)
ALL_LINKFLAGS	= $(LINKFLAGS)
ALL_LINKGUIFLAGS = $(LINKGUIFLAGS)
ALL_LIBS	= $(OB_LIBS) $(LIBS)
ALL_GUILIBS	= $(OB_LIBS) $(GUILIBS)
 
$(PEER1_NAME): $(COMMON_OBJS) $(PEER1_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER1_OBJS) $(ALL_LIBS)

$(PEER2_NAME): $(COMMON_OBJS) $(PEER2_OBJS) $(OB_LIBS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(PEER2_OBJS) $(ALL_LIBS)

clean::
	@del $(TARGETS)

!include .windep
